import Session from '../Services/Identity/Session';
import { FleetInterface, GetDeliveryCatalogPayload, GetDeliveryCatalogResponse, GetFavouritesPayload, GetFilterDetailsResponse, MerchantConnectionsCreateControllerRequest, MerchantConnectionsCreateControllerResponse, MerchantConnectionsListResponse, MerchantConnectionsUpdateControllerRequest, MerchantConnectionsUpdateControllerResponse, MerchantConnectionsVerifyRequest, MerchantConnectionsVerifyResponse, MerchantsConnectionsPauseControllerRequest, MerchantsConnectionsPauseControllerResponse, SendNotificationPayload, SendNotificationResponse } from './DeliveryCatalog.consts';
export default class DeliveryCatalogApi {
    private deliveryCatalogEntity;
    constructor(session: Session);
    getProviders(payload: GetDeliveryCatalogPayload): Promise<GetDeliveryCatalogResponse[]>;
    getFilters(): Promise<string[]>;
    getFiltersDetails(payload: {
        filter_name: string;
    }): Promise<GetFilterDetailsResponse>;
    toggleFavorites(payload: GetFavouritesPayload): Promise<void>;
    getUsersFavorites(): Promise<number[]>;
    sendEmailNotification(payload: SendNotificationPayload): Promise<SendNotificationResponse>;
    getFleetById(payload: {
        id: number;
    }): Promise<FleetInterface>;
    getDeliveryById(payload: {
        id: number;
        destination_uuid: string;
    }): Promise<GetDeliveryCatalogResponse>;
    getMerchantConnectionsList(): Promise<MerchantConnectionsListResponse>;
    createMerchantConnection(payload: MerchantConnectionsCreateControllerRequest): Promise<MerchantConnectionsCreateControllerResponse>;
    updateMerchantConnection(payload: MerchantConnectionsUpdateControllerRequest): Promise<MerchantConnectionsUpdateControllerResponse>;
    deleteMerchantConnection(payload: {
        ids: number[];
    }): Promise<{
        deleted: number[];
    }>;
    verifyMerchantConnectionCredentials(payload: MerchantConnectionsVerifyRequest): Promise<MerchantConnectionsVerifyResponse>;
    pauseMerchantConnection(payload: MerchantsConnectionsPauseControllerRequest): Promise<MerchantsConnectionsPauseControllerResponse>;
}
